# Copyright (c) 2015 BaseSoft B.V.
# See LICENSE for details.

from basesoft.util.ordered_dict import OrderedDict
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from django.utils.translation import ugettext_lazy as _


class WeIndexWidget(DashboardWidgetCQStateController):
    """
    Weee Index Widget
    """
    label = _('Navigation widget')
    name = 'we_index_widget'
    category = _('Navigation')
    permissions = ['we_view_index_widget']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('WeIndexWidget', WeIndexWidget),
])