# Copyright (c) 2016 BaseSoft B.V.
# See LICENSE for details.
from django.utils.translation import ugettext_lazy as _

from basesoft.util.ordered_dict import OrderedDict
from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController


class WeDeclarationOverviewWidget(DashboardWidgetCQStateController):
    label = _('Declaration order overview')
    name = 'we_db_declaration_order_overview_widget'
    category = _('Declarations')
    permissions = ['we_view_declaration_order']
    classname = 'palette_group__menu--manager'


widgets_mapper = OrderedDict([
    ('WeDeclarationOverviewWidget', WeDeclarationOverviewWidget, ),
])
