#!/usr/bin/env python
'''
Created on Oct 20, 2014

@author: marten
'''
import sys

from django.conf import settings

from basesoft.web.core.util.db import DatabaseSession
from basesoft.web.contrib.account.models import Account

from we.test.controllers import WeTestController

if __name__ == "__main__":
    if settings._wrapped.SETTINGS_MODULE  in ['basesoft.settings.stable', 'basesoft.settings.testing', 'basesoft.settings.sandbox']:
        sys.stderr.write("Can't run populate with current settings")
        sys.exit(1)

    sa_session = DatabaseSession().Session

    account = sa_session.query(Account).filter(Account.name=='sysadmin').one()

    c = WeTestController(sa_session, account_id=account.id)
    c.we_populate()