'''
Created on Dec 17, 2014

@author: marten
'''
from django.utils.translation import ugettext_lazy as _

from basesoft.web.contrib.dashboard.controllers import DashboardWidgetCQStateController
from basesoft.util.ordered_dict import OrderedDict

class WeTbsOverviewWidget(DashboardWidgetCQStateController):
    """
    TBS Overview Widget
    """
    label = _('TBS overview')
    name = 'we_tbs_widget'
    category = _('TBS management')
    permissions = ['we_tbs_license']
    classname = 'palette_group__menu--manager'

widgets_mapper = OrderedDict([
    ('WeTbsOverviewWidget', WeTbsOverviewWidget, ),
])
